# Generated from embulk-output-utf8parquet-1.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name embulk-output-utf8parquet

Name: rubygem-%{gem_name}
Version: 1.0.6
Release: 1%{?dist}
Summary: Parquet output plugin for Embulk with UTF8 support
License: MIT
URL: https://github.com/alexopoulos7/embulk-output-utf8parquet
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Parquet output plugin is an Embulk plugin that loads records to Parquet read
by any input plugins. Search the input plugins by "embulk-input" keyword.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.gradle
%{gem_instdir}/.idea
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/build.gradle
%{gem_instdir}/build
%{gem_instdir}/classpath
%{gem_instdir}/config
%{gem_instdir}/embulk-output-utf8parquet.iml
%{gem_instdir}/gradle
%{gem_instdir}/gradlew
%{gem_instdir}/gradlew.bat
%{gem_libdir}
%{gem_instdir}/src
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/embulk-output-utf8parquet.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.0.6-1
- Initial package
